<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Current Request</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Current Request
                </div>
            </div>
        </div>
        <div class="alert alert-success" role="alert" th:if="${success != null}">
            Save date successfull....
        </div>
        <div class="alert alert-danger" role="alert" th:if="${gagalkaryawan != null}">
            Save data failed....
            <p>kolom request For belum diisi..</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${pencairanMangkrak != null}">
            Request Fund not allowed...
            <p th:text="${pencairanMangkrak}">kolom request For belum diisi..</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalpagu != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah budget anda masih melebihi pagu yang di tetapkan, mohon perbaiki anggaran departemen anda agar tidak melebihi pagu,
            </p>
            <p>Untuk informasi lebih lanjut dapat menghubungi Bagian Keuangan atau Wakil Rektor 2.</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalAnggaran != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagalpagubudget != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengeluan anda sudah melebihi batas pagu yang ditetapkan,
            </p>
            <p>Untuk informasi lebih lanjut dapat menghubungi Bagian Keuangan atau Wakil Rektor 2.</p>
        </div>

        <div class="alert alert-danger" role="alert" th:if="${gagal != null}">
            Save data failed....
            <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>
        </div>

        <div class="shadow-none p-3 mb-3 bg-body bg-opacity-50 border rounded">
        <form method="get">
            <div class="row">
                <p><a class="link-primary" th:href="@{/transaksi/pengajuandana/baru}" role="button">Klik disini</a> jika anda ingin membuat pengajuan dana baru. </p>
                <div class="col-md-6">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-6" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
        </form>
        <br>

        <div class="row" th:each="dataPengajuanDanaWaiting, stat: *{listPengajuanDanaWaiting}" >
            <div class="col-md-12">
                <div class="shadow-sm p-3 mb-3 bg-body bg-opacity-50 small border rounded">
                    <div class="row">
                        <div class="col-md-10">
                            <span class="text-start"><i class="fa-regular fa-bell fa-1x shadow-sm me-2" style="color: #198754;"></i> <b>Request :</b> <span th:text="${' '+#temporals.format(dataPengajuanDanaWaiting.tanggalPengajuan,'dd-MMM-yyyy HH:mm:ss')}"> 10/10/1000</span> <b th:text="${' '+ dataPengajuanDanaWaiting.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaWaiting.getAnggaran().getNamaAnggaran()}">Anggaran.</b></span>
                        </div>
                        <div class="col-md-2">
                            <div class="bg-warning bg-opacity-10 border border-warning border-start-0 border-end-0" align="center">
                                <span style="color: red">Waiting</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <span class="text-start"><i class="fa-solid fa-calendar-check fa-1x shadow-sm me-2" style="color: #6f42c1"></i> <b th:text="${'For  '+ dataPengajuanDanaWaiting.getRequestFor().getNamaKaryawan()}"></b> </span>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-md-2" align="center">
                            <!--                        <img th:src="@{/images/income.jpg}" class="card-img-top rounded">-->
<!--                            <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>-->

                            <a th:if="${dataPengajuanDanaWaiting.file} == 'default.jpg'">
                                <i class="fa-solid fa-download fa-3x rounded" style="color: #7c080c" align="center"></i>
                            </a>
                            <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'jpg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'peg' and ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} != 'png'" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" target="_blank">
                                <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>
                            </a>
                            <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg' and (${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'jpg' or ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'peg' or ${dataPengajuanDanaWaiting.file.substring(dataPengajuanDanaWaiting.file.length() - 3,dataPengajuanDanaWaiting.file.length())} == 'png')" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" target="_blank">
                                <!--                                <i class="fa-solid fa-download fa-4x rounded" style="color: #0a53be" align="center"></i>-->

                                <img th:src="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" class="card-img-top  shadow-sm rounded" style="width:60px;height:60px;">
                            </a>
                        </div>
                        <div class="col-md-7">
                            <span class="text-start"><b th:text="${dataPengajuanDanaWaiting.getAnggaranDetail().getDeskripsi()}"></b></span>
                            <br>
                            <span class="text-start" th:text="${dataPengajuanDanaWaiting.getDeskripsiBiaya()}"></span>
                            <br>
                            <span class="text-start" th:text="${dataPengajuanDanaWaiting.getKuantitas() + ' ' + dataPengajuanDanaWaiting.getSatuan() + ' X ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getAmount(), 0, 'POINT', 0, 'COMMA')}">1 barang X 100.000</span>
                        </div>
                        <div class="col-md-3">
                            <div class="shadow-none p-3 mb-3 border-start">
                                <span class="text-start">Total Request</span>
                                <br>
                                <span class="text-start"><b th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getJumlah(), 0, 'POINT', 0, 'COMMA')}">20.000.000</b></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-10" align="right">
                        </div>
<!--                            <button type="button" class="btn btn-outline-primary" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">Lacak</button>-->

                        <div class="col-md-1 sm-6 xs-6" align="right">
                            <form th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaWaiting.id})}">
                                <button style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" type="submit" class="btn btn-danger btn-xs rounded-pill"
                                        onclick="return confirm('Are you sure want to cancel this?')">
                                    Cancel
                                </button>
                            </form>
                        </div>
                        <div class="col-md-1 sm-6 xs-6">
                            <button type="button" class="btn btn-primary rounded-pill" data-bs-toggle="modal"  style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataPengajuanDanaWaiting.getId()}">
                                Tracking
                            </button>

                            <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaWaiting.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">Tracking</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="row" th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">
                                                <div class="shadow-sm p-3 mb-1 bg-body border small rounded" th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id} and ${dataPengajuanDanaApprovalWaiting.statusApprove == dataPengajuanDanaApprovalWaiting.statusApprove.WAITING}">

                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut+'. '}"></span>
                                                    <span th:text="${'Menunggu persetujuan '+dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>
<!--                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                    <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
                                                </div>

                                                <div class="shadow-sm p-3 mb-1 border small bg-success bg-opacity-10 rounded" th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id} and ${dataPengajuanDanaApprovalWaiting.statusApprove == dataPengajuanDanaApprovalWaiting.statusApprove.APPROVED}">

                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut+'. '}"></span>
                                                    <span th:text="${'Telah disetujui oleh '+dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan +' pada tanggal '+ #temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy HH:mm:ss')}">Update software</span>
<!--                                                    <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                    <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
                                                </div>
                                            </div>

<!--                                            <table class="table table-bordered">-->
<!--                                                <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
<!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
<!--                                                    </td>-->
<!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
<!--                                                    </td>-->
<!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                        <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                    </td>-->
<!--                                                    <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                        <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                            <!--                                                <button type="button" class="btn btn-primary">Save changes</button>-->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

<!--        <div class="row">-->
<!--            <div class="col-md-12">-->
<!--                <div class="tableFixHead">-->
<!--                    <table class="table small">-->
<!--                        <thead class="table-dark" style="&#45;&#45;bs-table-bg:#15408d;">-->
<!--                        <tr>-->
<!--                            <th colspan="7">-->
<!--                                List-->
<!--                            </th>-->
<!--                        </tr>-->
<!--                        </thead>-->
<!--                        <tbody th:each="dataPengajuanDanaWaiting, stat: *{listPengajuanDanaWaiting}" >-->
<!--                        <tr class="table-light">-->
<!--                            <td align="right" style="width: 50px; alignment: right;" th:text="${(stat.index + 1) + (listPengajuanDanaWaiting.number * listPengajuanDanaWaiting.size)}">1</td>-->
<!--                            <td colspan="3" th:text="${dataPengajuanDanaWaiting.getAnggaran().getKodeAnggaran() + ' - ' + dataPengajuanDanaWaiting.getAnggaran().getNamaAnggaran()}"></td>-->
<!--                            <td colspan="4" style="width: 20%" align="right" th:text="${#temporals.format(dataPengajuanDanaWaiting.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td rowspan="3"></td>-->
<!--                            <td rowspan="3" width="15%" align="center">-->
<!--                                <a th:if="${dataPengajuanDanaWaiting.file} == 'default.jpg'" class="btn btn-danger" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">-->
<!--                                    No Attachment-->
<!--                                </a>-->
<!--                                <a  th:if="${dataPengajuanDanaWaiting.file} != 'default.jpg'" class="btn btn-success" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaWaiting.id})}" target="_blank">-->
<!--                                    View Attachment-->
<!--                                </a>-->
<!--                            </td>-->
<!--                            <td width="5%">Item:</td>-->
<!--                            <td th:text="${dataPengajuanDanaWaiting.getAnggaranDetail().getDeskripsi()}">-->
<!--                            </td>-->
<!--                            <td colspan="3" align="right" th:text="${dataPengajuanDanaWaiting.getKuantitas() + ' ' + dataPengajuanDanaWaiting.getSatuan()}">-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td>For:</td>-->
<!--                            <td th:text="${dataPengajuanDanaWaiting.getRequestFor().getNamaKaryawan()}">-->
<!--                            </td>-->
<!--                            <td colspan="3" align="right"  th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDanaWaiting.getJumlah(), 0, 'POINT', 2, 'COMMA')}">-->
<!--                            </td>-->
<!--                        </tr>-->
<!--                        <tr>-->
<!--                            <td>Desc:</td>-->
<!--                            <td th:text="${dataPengajuanDanaWaiting.getDeskripsiBiaya()}">-->
<!--                            </td>-->
<!--                            <td colspan="2" align="right">-->
<!--&lt;!&ndash;                                <button type="button" class="btn btn-warning btn-xs" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataPengajuanDanaWaiting.getId()}">&ndash;&gt;-->
<!--&lt;!&ndash;                                    Waiting&ndash;&gt;-->
<!--&lt;!&ndash;                                </button>&ndash;&gt;-->

<!--                                <button type="button" class="btn btn-warning" data-bs-toggle="modal" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:attr="data-bs-target='#exampleModal'+${dataPengajuanDanaWaiting.getId()}">-->
<!--                                    Waiting-->
<!--                                </button>-->

<!--                                <div class="modal fade" th:id="exampleModal+${dataPengajuanDanaWaiting.getId()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">-->
<!--                                    <div class="modal-dialog">-->
<!--                                        <div class="modal-content">-->
<!--                                            <div class="modal-header">-->
<!--                                                <h5 class="modal-title" id="exampleModalLabel">List Approval</h5>-->
<!--                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>-->
<!--                                            </div>-->
<!--                                            <div class="modal-body">-->
<!--                                                <table class="table table-bordered">-->
<!--                                                    <tr th:each="dataPengajuanDanaApprovalWaiting, stat: *{listPengajuanDanaApprovalWaiting}">-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.nomorUrut}"></span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.userApprove.namaKaryawan}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                            <span th:text="${dataPengajuanDanaApprovalWaiting.statusApprove}">Update software</span>-->
<!--                                                        </td>-->
<!--                                                        <td th:if="${dataPengajuanDanaApprovalWaiting.tanggalApprove} != null and ${dataPengajuanDanaApprovalWaiting.pengajuanDana.id} == ${dataPengajuanDanaWaiting.id}">-->
<!--                                                            <span th:text="${#temporals.format(dataPengajuanDanaApprovalWaiting.tanggalApprove,'dd-MMM-yyyy hh:mm:ss a')}"></span>-->
<!--                                                        </td>-->
<!--                                                    </tr>-->
<!--                                                </table>-->
<!--                                            </div>-->
<!--                                            <div class="modal-footer">-->
<!--                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
<!--&lt;!&ndash;                                                <button type="button" class="btn btn-primary">Save changes</button>&ndash;&gt;-->
<!--                                            </div>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </td>-->
<!--                            <td width="5%">-->
<!--                                <form th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" method="post" th:action="@{/transaksi/pengajuandana/batal(pengajuandana = ${dataPengajuanDanaWaiting.id})}">-->
<!--                                    <button style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;" th:if="${dataPengajuanDanaWaiting.getNomorUrut() <= 1}" type="submit" class="btn btn-danger btn-xs"-->
<!--                                            onclick="return confirm('Are you sure want to cancel this?')">-->
<!--                                        Cancel-->
<!--                                    </button>-->
<!--                                </form>-->
<!--                            </td>-->
<!--                        </tr>-->


<!--                        </tbody>-->

<!--                    </table>-->
<!--                </div>-->
<!--                <br>-->
        <div class="row small">
            <div class="col-md-12">
                <nav aria-label="...">
                    <ul class="pagination" sd:pagination="full">
                        <li class="page-item disabled">
                            <a class="page-link">Previous</a>
                        </li>
                        <li class="page-item"><a class="page-link" href="#">1</a></li>
                        <li class="page-item active" aria-current="page">
                            <a class="page-link" href="#">2</a>
                        </li>
                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                        <li class="page-item">
                            <a class="page-link" href="#">Next</a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
        </div>
    </main>
</main>

</body>
</html>
